#!/sbin/sh

rm -f /system/script.sh
case "$1" in
   move)
	mount /data
	mount /system
	mount /sdcard
	/system/bin/insmod /system/lib/modules/mbcache.ko
	/system/bin/insmod /system/lib/modules/ext2.ko
	/system/xbin/mount -t ext2 /dev/block/mmcblk0p2 /sd-ext
	mkdir -p /sdcard/sicherung/app >/dev/null 2>&1
	mkdir -p /sdcard/sicherung/app-private >/dev/null 2>&1
	cp -f /data/app/* /sdcard/sicherung/app/
	cp -f /data/app-private/* /sdcard/sicherung/app-private/
	if [ -d /data/app ]; then
		mkdir /sd-ext/app
		chmod 777 /sd-ext/app
		cp -a /data/app/* /sd-ext/app/
		rm -r /data/app
		ln -s /sd-ext/app /data/app
	fi
	if [ -d /data/app-private ]; then
		mkdir /sd-ext/app-private
		chmod 777 /sd-ext/app-private
		cp -a /data/app-private/* /sd-ext/app-private/
		rm -r /data/app-private
		ln -s /sd-ext/app-private /data/app-private
	fi
	chmod 750 /system/etc/init.d/05apps2sd
	chmod 777 /system/lib/modules/ext2.ko
	chmod 777 /system/lib/modules/mbcache.ko
	umount /data
	umount /system
	umount /sd-ext

   ;;
   restore)
      
   ;;
   *)
      echo "Usage: $0 {move|restore}"
      exit 1
esac

exit 0
